bstr 0.2.14

A string type that is not required to be valid UTF-8.
Documentation
[badges.appveyor]
repository = "BurntSushi/bstr"

[badges.travis-ci]
repository = "BurntSushi/bstr"
[dependencies.lazy_static]
optional = true
version = "1.2"

[dependencies.memchr]
default-features = false
version = "2.1.2"

[dependencies.regex-automata]
default-features = false
optional = true
version = "0.1.5"

[dependencies.serde]
default-features = false
optional = true
version = "1.0.85"
[dev-dependencies.quickcheck]
default-features = false
version = "0.8.1"

[dev-dependencies.ucd-parse]
version = "0.1.3"

[dev-dependencies.unicode-segmentation]
version = "1.2.1"

[features]
default = ["std", "unicode"]
serde1 = ["std", "serde1-nostd", "serde/std"]
serde1-nostd = ["serde"]
std = ["memchr/use_std"]
unicode = ["lazy_static", "regex-automata"]

[lib]
bench = false

[package]
authors = ["Andrew Gallant <jamslam@gmail.com>"]
categories = ["text-processing", "encoding"]
description = "A string type that is not required to be valid UTF-8."
documentation = "https://docs.rs/bstr"
exclude = ["/.github"]
homepage = "https://github.com/BurntSushi/bstr"
keywords = ["string", "str", "byte", "bytes", "text"]
license = "MIT OR Apache-2.0"
name = "bstr"
readme = "README.md"
repository = "https://github.com/BurntSushi/bstr"
version = "0.2.14"
[profile.release]
debug = true